CacheConfig (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: CacheConfig

Package org.apache.geode.cache.configuration

# Class CacheConfig

java.lang.Object
org.apache.geode.cache.configuration.CacheConfig

@Experimental public class CacheConfig extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cache-transaction-manager" type="{http://geode.apache.org/schema/cache}cache-transaction-manager-type" minOccurs="0"/>
             <element name="dynamic-region-factory" type="{http://geode.apache.org/schema/cache}dynamic-region-factory-type" minOccurs="0"/>
             <element name="gateway-hub" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="gateway" maxOccurs="unbounded" minOccurs="0">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <sequence>
                                 <choice>
                                   <element name="gateway-endpoint" maxOccurs="unbounded">
                                     <complexType>
                                       <complexContent>
                                         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                           <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                           <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                           <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                         </restriction>
                                       </complexContent>
                                     </complexType>
                                   </element>
                                   <element name="gateway-listener" maxOccurs="unbounded">
                                     <complexType>
                                       <complexContent>
                                         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                           <sequence>
                                             <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                                             <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                                           </sequence>
                                         </restriction>
                                       </complexContent>
                                     </complexType>
                                   </element>
                                 </choice>
                                 <element name="gateway-queue" minOccurs="0">
                                   <complexType>
                                     <complexContent>
                                       <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                         <attribute name="alert-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
                                         <attribute name="batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                                         <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                                         <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
                                         <attribute name="enable-persistence" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                                         <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
                                         <attribute name="roll-oplogs" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                                         <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                                         <attribute name="overflow-directory" type="{http://www.w3.org/2001/XMLSchema}string" />
                                       </restriction>
                                     </complexContent>
                                   </complexType>
                                 </element>
                               </sequence>
                               <attribute name="early-ack" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                               <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="socket-read-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="concurrency-level" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="order-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                     </sequence>
                     <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="bind-address" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="maximum-time-between-pings" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="port" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="startup-policy">
                       <simpleType>
                         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                           <enumeration value="primary"/>
                           <enumeration value="secondary"/>
                           <enumeration value="none"/>
                         </restriction>
                       </simpleType>
                     </attribute>
                     <attribute name="manual-start" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="max-connections" type="{http://www.w3.org/2001/XMLSchema}integer" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="gateway-sender" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="gateway-event-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
                       <element name="gateway-event-substitution-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" minOccurs="0"/>
                       <element name="gateway-transport-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                     <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="remote-distributed-system-id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="parallel" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="manual-start" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="socket-read-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="enable-batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="enable-persistence" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="disk-synchronous" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="alert-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="dispatcher-threads" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="order-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="group-transaction-events" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="gateway-receiver" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="gateway-transport-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                     <attribute name="start-port" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="end-port" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="bind-address" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="maximum-time-between-pings" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="hostname-for-senders" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="manual-start" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="gateway-conflict-resolver" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                       <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="async-event-queue" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="gateway-event-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
                       <element name="gateway-event-substitution-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" minOccurs="0"/>
                       <element name="async-event-listener" type="{http://geode.apache.org/schema/cache}class-with-parameters-type"/>
                     </sequence>
                     <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="parallel" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="enable-batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="persistent" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="disk-synchronous" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="dispatcher-threads" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="order-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="forward-expiration-destroy" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="cache-server" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <extension base="{http://geode.apache.org/schema/cache}server-type">
                     <attribute name="tcp-no-delay" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                   </extension>
                 </complexContent>
               </complexType>
             </element>
             <element name="pool" type="{http://geode.apache.org/schema/cache}pool-type" maxOccurs="unbounded" minOccurs="0"/>
             <element name="disk-store" type="{http://geode.apache.org/schema/cache}disk-store-type" maxOccurs="unbounded" minOccurs="0"/>
             <element name="pdx" type="{http://geode.apache.org/schema/cache}pdx-type" minOccurs="0"/>
             <element name="region-attributes" type="{http://geode.apache.org/schema/cache}region-attributes-type" maxOccurs="unbounded" minOccurs="0"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="jndi-bindings" type="{http://geode.apache.org/schema/cache}jndi-bindings-type"/>
               <element name="region" type="{http://geode.apache.org/schema/cache}region-type"/>
               <element name="vm-root-region" type="{http://geode.apache.org/schema/cache}region-type"/>
             </choice>
             <element name="function-service" type="{http://geode.apache.org/schema/cache}function-service-type" minOccurs="0"/>
             <element name="resource-manager" type="{http://geode.apache.org/schema/cache}resource-manager-type" minOccurs="0"/>
             <element name="serialization-registration" type="{http://geode.apache.org/schema/cache}serialization-registration-type" minOccurs="0"/>
             <element name="backup" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="initializer" type="{http://geode.apache.org/schema/cache}initializer-type" minOccurs="0"/>
             <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="copy-on-read" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="is-server" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="lock-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="lock-lease" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="message-sync-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="search-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="version" use="required" type="{http://geode.apache.org/schema/cache}versionType" fixed="1.0" />
         </restriction>
       </complexContent>
     </complexType>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CacheConfig.AsyncEventQueue`
  Java class for anonymous complex type.
  `static class`
  `CacheConfig.CacheServer`
  Java class for anonymous complex type.
  `static class`
  `CacheConfig.GatewayHub`
  Java class for anonymous complex type.
  `static class`
  `CacheConfig.GatewaySender`
  Java class for anonymous complex type.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<CacheConfig.AsyncEventQueue>`
  `asyncEventQueues`
  `protected List<String>`
  `backups`
  `protected List<CacheElement>`
  `cacheElements`
  `protected List<CacheConfig.CacheServer>`
  `cacheServers`
  `protected CacheTransactionManagerType`
  `cacheTransactionManager`
  `protected Boolean`
  `copyOnRead`
  `protected List<DiskStoreType>`
  `diskStores`
  `protected DynamicRegionFactoryType`
  `dynamicRegionFactory`
  `protected FunctionServiceType`
  `functionService`
  `protected DeclarableType`
  `gatewayConflictResolver`
  `protected List<CacheConfig.GatewayHub>`
  `gatewayHubs`
  `protected GatewayReceiverConfig`
  `gatewayReceiver`
  `protected List<CacheConfig.GatewaySender>`
  `gatewaySenders`
  `protected DeclarableType`
  `initializer`
  `protected Boolean`
  `isServer`
  `protected JndiBindingsType`
  `jndiBindings`
  `protected String`
  `lockLease`
  `protected String`
  `lockTimeout`
  `protected String`
  `messageSyncInterval`
  `protected PdxType`
  `pdx`
  `protected List<PoolType>`
  `pools`
  `protected List<RegionAttributesType>`
  `regionAttributes`
  `protected List<RegionConfig>`
  `regions`
  `protected ResourceManagerType`
  `resourceManager`
  `protected String`
  `searchTimeout`
  `static final String`
  `SEPARATOR`
  Deprecated.
  Please use `Region.SEPARATOR`
  `protected SerializationRegistrationType`
  `serializationRegistration`
  `protected String`
  `version`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CacheConfig()`
  `CacheConfig(String version)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T extends CacheElement>
  T`
  `findCustomCacheElement(String elementId, Class<T> classT)`
  `<T extends CacheElement>
  List<T>`
  `findCustomCacheElements(Class<T> classT)`
  `<T extends CacheElement>
  T`
  `findCustomRegionElement(String regionPath, String elementId, Class<T> classT)`
  `<T extends CacheElement>
  List<T>`
  `findCustomRegionElements(String regionPath, Class<T> classT)`
  `RegionConfig`
  `findRegionConfiguration(String regionPath)`
  `List<CacheConfig.AsyncEventQueue>`
  `getAsyncEventQueues()`
  Gets the value of the asyncEventQueues property.
  `List<String>`
  `getBackups()`
  Gets the value of the backup property.
  `List<CacheConfig.CacheServer>`
  `getCacheServers()`
  Gets the value of the cacheServers property.
  `CacheTransactionManagerType`
  `getCacheTransactionManager()`
  Gets the value of the cacheTransactionManager property.
  `List<CacheElement>`
  `getCustomCacheElements()`
  Gets the value of the customCacheElements property.
  `List<DiskStoreType>`
  `getDiskStores()`
  Gets the value of the diskStores property.
  `DynamicRegionFactoryType`
  `getDynamicRegionFactory()`
  Gets the value of the dynamicRegionFactory property.
  `FunctionServiceType`
  `getFunctionService()`
  Gets the value of the functionService property.
  `DeclarableType`
  `getGatewayConflictResolver()`
  Gets the value of the gatewayConflictResolver property.
  `List<CacheConfig.GatewayHub>`
  `getGatewayHubs()`
  Gets the value of the gatewayHubs property.
  `GatewayReceiverConfig`
  `getGatewayReceiver()`
  Gets the value of the gatewayReceiver property.
  `List<CacheConfig.GatewaySender>`
  `getGatewaySenders()`
  Gets the value of the gatewaySenders property.
  `DeclarableType`
  `getInitializer()`
  Gets the value of the initializer property.
  `List<JndiBindingsType.JndiBinding>`
  `getJndiBindings()`
  Gets the value of the jndiBindings property.
  `String`
  `getLockLease()`
  Gets the value of the lockLease property.
  `String`
  `getLockTimeout()`
  Gets the value of the lockTimeout property.
  `String`
  `getMessageSyncInterval()`
  Gets the value of the messageSyncInterval property.
  `PdxType`
  `getPdx()`
  Gets the value of the pdx property.
  `List<PoolType>`
  `getPools()`
  Gets the value of the pool property.
  `List<RegionAttributesType>`
  `getRegionAttributes()`
  Gets the value of the regionAttributes property.
  `List<RegionConfig>`
  `getRegions()`
  Gets the value of the regions property.
  `ResourceManagerType`
  `getResourceManager()`
  Gets the value of the resourceManager property.
  `String`
  `getSearchTimeout()`
  Gets the value of the searchTimeout property.
  `SerializationRegistrationType`
  `getSerializationRegistration()`
  Gets the value of the serializationRegistration property.
  `String`
  `getVersion()`
  Gets the value of the version property.
  `Boolean`
  `isCopyOnRead()`
  Gets the value of the copyOnRead property.
  `Boolean`
  `isIsServer()`
  Gets the value of the isServer property.
  `void`
  `setCacheTransactionManager(CacheTransactionManagerType value)`
  Sets the value of the cacheTransactionManager property.
  `void`
  `setCopyOnRead(Boolean value)`
  Sets the value of the copyOnRead property.
  `void`
  `setDynamicRegionFactory(DynamicRegionFactoryType value)`
  Sets the value of the dynamicRegionFactory property.
  `void`
  `setFunctionService(FunctionServiceType value)`
  Sets the value of the functionService property.
  `void`
  `setGatewayConflictResolver(DeclarableType value)`
  Sets the value of the gatewayConflictResolver property.
  `void`
  `setGatewayReceiver(GatewayReceiverConfig value)`
  Sets the value of the gatewayReceiver property.
  `void`
  `setInitializer(DeclarableType value)`
  Sets the value of the initializer property.
  `void`
  `setIsServer(Boolean value)`
  Sets the value of the isServer property.
  `void`
  `setLockLease(String value)`
  Sets the value of the lockLease property.
  `void`
  `setLockTimeout(String value)`
  Sets the value of the lockTimeout property.
  `void`
  `setMessageSyncInterval(String value)`
  Sets the value of the messageSyncInterval property.
  `void`
  `setPdx(PdxType value)`
  Sets the value of the pdx property.
  `void`
  `setResourceManager(ResourceManagerType value)`
  Sets the value of the resourceManager property.
  `void`
  `setSearchTimeout(String value)`
  Sets the value of the searchTimeout property.
  `void`
  `setSerializationRegistration(SerializationRegistrationType value)`
  Sets the value of the serializationRegistration property.
  `void`
  `setVersion(String value)`
  Sets the value of the version property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### cacheTransactionManager

    protected CacheTransactionManagerType cacheTransactionManager

  - ### dynamicRegionFactory

    protected DynamicRegionFactoryType dynamicRegionFactory

  - ### gatewayHubs

    protected List<CacheConfig.GatewayHub> gatewayHubs

  - ### gatewaySenders

    protected List<CacheConfig.GatewaySender> gatewaySenders

  - ### gatewayReceiver

    protected GatewayReceiverConfig gatewayReceiver

  - ### gatewayConflictResolver

    protected DeclarableType gatewayConflictResolver

  - ### asyncEventQueues

    protected List<CacheConfig.AsyncEventQueue> asyncEventQueues

  - ### cacheServers

    protected List<CacheConfig.CacheServer> cacheServers

  - ### pools

    protected List<PoolType> pools

  - ### diskStores

    protected List<DiskStoreType> diskStores

  - ### pdx

    protected PdxType pdx

  - ### regionAttributes

    protected List<RegionAttributesType> regionAttributes

  - ### jndiBindings

    protected JndiBindingsType jndiBindings

  - ### regions

    protected List<RegionConfig> regions

  - ### functionService

    protected FunctionServiceType functionService

  - ### resourceManager

    protected ResourceManagerType resourceManager

  - ### serializationRegistration

    protected SerializationRegistrationType serializationRegistration

  - ### backups

    protected List<String> backups

  - ### initializer

    protected DeclarableType initializer

  - ### cacheElements

    protected List<CacheElement> cacheElements

  - ### copyOnRead

    protected Boolean copyOnRead

  - ### isServer

    protected Boolean isServer

  - ### lockTimeout

    protected String lockTimeout

  - ### lockLease

    protected String lockLease

  - ### messageSyncInterval

    protected String messageSyncInterval

  - ### searchTimeout

    protected String searchTimeout

  - ### version

    protected String version

  - ### SEPARATOR

    @Deprecated public static final String SEPARATOR
    Deprecated.
    Please use `Region.SEPARATOR`
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CacheConfig

    public CacheConfig()

  - ### CacheConfig

    public CacheConfig(String version)

- ## Method Details

  - ### getCacheTransactionManager

    public CacheTransactionManagerType getCacheTransactionManager()
    Gets the value of the cacheTransactionManager property. possible object is `CacheTransactionManagerType`
    Returns:
      the value of the cacheTransactionManager property

  - ### setCacheTransactionManager

    public void setCacheTransactionManager(CacheTransactionManagerType value)
    Sets the value of the cacheTransactionManager property. allowed object is `CacheTransactionManagerType`
    Parameters:
      `value` - the value of the cacheTransactionManager property

  - ### getDynamicRegionFactory

    public DynamicRegionFactoryType getDynamicRegionFactory()
    Gets the value of the dynamicRegionFactory property. possible object is `DynamicRegionFactoryType`
    Returns:
      the value of the dynamicRegionFactory property

  - ### setDynamicRegionFactory

    public void setDynamicRegionFactory(DynamicRegionFactoryType value)
    Sets the value of the dynamicRegionFactory property. allowed object is `DynamicRegionFactoryType`
    Parameters:
      `value` - the value of the dynamicRegionFactory property

  - ### getGatewayHubs

    public List<CacheConfig.GatewayHub> getGatewayHubs()
    Gets the value of the gatewayHubs property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewayHubs property.

    For example, to add a new item, do as follows:

         getGatewayHubs().add(newItem);

    Objects of the following type(s) are allowed in the list `CacheConfig.GatewayHub`

    Returns:
      the value of the gatewayHubs property

  - ### getGatewaySenders

    public List<CacheConfig.GatewaySender> getGatewaySenders()
    Gets the value of the gatewaySenders property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewaySenders property.

    For example, to add a new item, do as follows:

         getGatewaySenders().add(newItem);

    Objects of the following type(s) are allowed in the list `CacheConfig.GatewaySender`

    Returns:
      the value of the gatewaySenders property

  - ### getGatewayReceiver

    public GatewayReceiverConfig getGatewayReceiver()
    Gets the value of the gatewayReceiver property. possible object is `GatewayReceiverConfig`
    Returns:
      the value of the gatewayReceiver property

  - ### setGatewayReceiver

    public void setGatewayReceiver(GatewayReceiverConfig value)
    Sets the value of the gatewayReceiver property. allowed object is `GatewayReceiverConfig`
    Parameters:
      `value` - the value of the gatewayReceiver property

  - ### getGatewayConflictResolver

    public DeclarableType getGatewayConflictResolver()
    Gets the value of the gatewayConflictResolver property. possible object is `DeclarableType`
    Returns:
      the value of the gatewayConflictResolver property

  - ### setGatewayConflictResolver

    public void setGatewayConflictResolver(DeclarableType value)
    Sets the value of the gatewayConflictResolver property. allowed object is `DeclarableType`
    Parameters:
      `value` - the value of the gatewayConflictResolver property

  - ### getAsyncEventQueues

    public List<CacheConfig.AsyncEventQueue> getAsyncEventQueues()
    Gets the value of the asyncEventQueues property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the asyncEventQueues property.

    For example, to add a new item, do as follows:

         getAsyncEventQueues().add(newItem);

    Objects of the following type(s) are allowed in the list `CacheConfig.AsyncEventQueue`

    Returns:
      the value of the asyncEventQueues property

  - ### getCacheServers

    public List<CacheConfig.CacheServer> getCacheServers()
    Gets the value of the cacheServers property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cacheServers property.

    For example, to add a new item, do as follows:

         getCacheServers().add(newItem);

    Objects of the following type(s) are allowed in the list `CacheConfig.CacheServer`

    Returns:
      the value of the cacheServers property

  - ### getPools

    public List<PoolType> getPools()
    Gets the value of the pool property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the pool property.

    For example, to add a new item, do as follows:

         getPools().add(newItem);

    Objects of the following type(s) are allowed in the list `PoolType`

    Returns:
      the value of the pools property

  - ### getDiskStores

    public List<DiskStoreType> getDiskStores()
    Gets the value of the diskStores property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the diskStore property.

    For example, to add a new item, do as follows:

         getDiskStores().add(newItem);

    Objects of the following type(s) are allowed in the list `DiskStoreType`

    Returns:
      the value of the diskStores property

  - ### getPdx

    public PdxType getPdx()
    Gets the value of the pdx property. possible object is `PdxType`
    Returns:
      the value of the pdx property

  - ### setPdx

    public void setPdx(PdxType value)
    Sets the value of the pdx property. allowed object is `PdxType`
    Parameters:
      `value` - the value of the pdx property

  - ### getRegionAttributes

    public List<RegionAttributesType> getRegionAttributes()
    Gets the value of the regionAttributes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the regionAttributes property.

    For example, to add a new item, do as follows:

         getRegionAttributes().add(newItem);

    Objects of the following type(s) are allowed in the list `RegionAttributesType`

    Returns:
      the value of the regionAttributes property

  - ### getJndiBindings

    public List<JndiBindingsType.JndiBinding> getJndiBindings()
    Gets the value of the jndiBindings property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the jndiBindings property.

    For example, to add a new item, do as follows:

         getJndiBindings().add(newItem);

    Objects of the following type(s) are allowed in the list `JndiBindingsType`

    Returns:
      the value of the jndiBindings property

  - ### getRegions

    public List<RegionConfig> getRegions()
    Gets the value of the regions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the region property.

    For example, to add a new item, do as follows:

         getRegions().add(newItem);

    Objects of the following type(s) are allowed in the list `RegionConfig`

    Returns:
      the value of the regions property

  - ### getFunctionService

    public FunctionServiceType getFunctionService()
    Gets the value of the functionService property. possible object is `FunctionServiceType`
    Returns:
      the value of the functionService property

  - ### setFunctionService

    public void setFunctionService(FunctionServiceType value)
    Sets the value of the functionService property. allowed object is `FunctionServiceType`
    Parameters:
      `value` - the value of the functionService property

  - ### getResourceManager

    public ResourceManagerType getResourceManager()
    Gets the value of the resourceManager property. possible object is `ResourceManagerType`
    Returns:
      the value of the resourceManager property

  - ### setResourceManager

    public void setResourceManager(ResourceManagerType value)
    Sets the value of the resourceManager property. allowed object is `ResourceManagerType`
    Parameters:
      `value` - the value of the resourceManager property

  - ### getSerializationRegistration

    public SerializationRegistrationType getSerializationRegistration()
    Gets the value of the serializationRegistration property. possible object is `SerializationRegistrationType`
    Returns:
      the value of the serializationRegistration property

  - ### setSerializationRegistration

    public void setSerializationRegistration(SerializationRegistrationType value)
    Sets the value of the serializationRegistration property. allowed object is `SerializationRegistrationType`
    Parameters:
      `value` - the value of the serializationRegistration property

  - ### getBackups

    public List<String> getBackups()
    Gets the value of the backup property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the backup property.

    For example, to add a new item, do as follows:

         getBackups().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      the value of the backup property

  - ### getInitializer

    public DeclarableType getInitializer()
    Gets the value of the initializer property. possible object is `DeclarableType`
    Returns:
      the value of the initializer property

  - ### setInitializer

    public void setInitializer(DeclarableType value)
    Sets the value of the initializer property. allowed object is `DeclarableType`
    Parameters:
      `value` - the value of the initializer property

  - ### getCustomCacheElements

    public List<CacheElement> getCustomCacheElements()
    Gets the value of the customCacheElements property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

    For example, to add a new item, do as follows:

         getCustomCacheElements().add(newItem);

    Objects of the following type(s) are allowed in the list `Element` `CacheElement`

    Returns:
      the value of the customCacheElements property

  - ### isCopyOnRead

    public Boolean isCopyOnRead()
    Gets the value of the copyOnRead property. possible object is `Boolean`
    Returns:
      the value of the copyOnRead property

  - ### setCopyOnRead

    public void setCopyOnRead(Boolean value)
    Sets the value of the copyOnRead property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the copyOnRead property

  - ### isIsServer

    public Boolean isIsServer()
    Gets the value of the isServer property. possible object is `Boolean`
    Returns:
      the value of the isServer property

  - ### setIsServer

    public void setIsServer(Boolean value)
    Sets the value of the isServer property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the isServer property

  - ### getLockTimeout

    public String getLockTimeout()
    Gets the value of the lockTimeout property. possible object is `String`
    Returns:
      the value of the lockTimeout property

  - ### setLockTimeout

    public void setLockTimeout(String value)
    Sets the value of the lockTimeout property. allowed object is `String`
    Parameters:
      `value` - the value of the lockTimeout property

  - ### getLockLease

    public String getLockLease()
    Gets the value of the lockLease property. possible object is `String`
    Returns:
      the value of the lockLease property

  - ### setLockLease

    public void setLockLease(String value)
    Sets the value of the lockLease property. allowed object is `String`
    Parameters:
      `value` - the value of the lockLease property

  - ### getMessageSyncInterval

    public String getMessageSyncInterval()
    Gets the value of the messageSyncInterval property. possible object is `String`
    Returns:
      the value of the messageSyncInterval property

  - ### setMessageSyncInterval

    public void setMessageSyncInterval(String value)
    Sets the value of the messageSyncInterval property. allowed object is `String`
    Parameters:
      `value` - the value of the messageSyncInterval property

  - ### getSearchTimeout

    public String getSearchTimeout()
    Gets the value of the searchTimeout property. possible object is `String`
    Returns:
      the value of the searchTimeout property

  - ### setSearchTimeout

    public void setSearchTimeout(String value)
    Sets the value of the searchTimeout property. allowed object is `String`
    Parameters:
      `value` - the value of the searchTimeout property

  - ### getVersion

    public String getVersion()
    Gets the value of the version property. possible object is `String`
    Returns:
      the value of the version property

  - ### setVersion

    public void setVersion(String value)
    Sets the value of the version property. allowed object is `String`
    Parameters:
      `value` - the value of the version property

  - ### findRegionConfiguration

    public RegionConfig findRegionConfiguration(String regionPath)

  - ### findCustomCacheElements

    public <T extends CacheElement> List<T> findCustomCacheElements(Class<T> classT)

  - ### findCustomCacheElement

    public <T extends CacheElement> T findCustomCacheElement(String elementId, Class<T> classT)

  - ### findCustomRegionElements

    public <T extends CacheElement> List<T> findCustomRegionElements(String regionPath, Class<T> classT)

  - ### findCustomRegionElement

    public <T extends CacheElement> T findCustomRegionElement(String regionPath, String elementId, Class<T> classT)